Bug 619018 - RFE: Job control - conditional/parallel task execution
Summary: RFE: Job control - conditional/parallel task execution
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Beaker
Classification: Community
Component: scheduler   
(Show other bugs)
Version: 0.5
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: Nick Coghlan
QA Contact:
URL:
Whiteboard: MC
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-28 11:35 UTC by Marian Csontos
Modified: 2012-11-07 07:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 07:23:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marian Csontos 2010-07-28 11:35:59 UTC
I would like to add some job-control, to specify relations like:

  * if $this fails: do not run $that. Basically:
    <and>
      <task .../>
      <task .../>
    </and>
  * if $this fails: run $that
    <or>
      <task .../>
      <task .../>
    </or>
  * parallel execution:
    <and parallel="on">...</and>

The idea is the <and> and <or> would create a task-like object - e.g. it would accept results and could also contain uploaded files...

May be <recipe attempts="3" ...>... as suggested in Bug 615785#c2

Comment 1 Nick Coghlan 2012-10-17 04:36:35 UTC
Bulk reassignment of issues as Bill has moved to another team.

Comment 2 Min Shin 2012-11-07 07:23:22 UTC
This bugs is closed as it is either not in the current Beaker scope or we could not find sufficient data in the bug report for consideration.
Please feel free to reopen the bug with additional information and/or business cases behind it.


Note You need to log in before you can comment on or make changes to this bug.